import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/attendance_review_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/attendance_review_entity.g.dart';

@JsonSerializable()
class AttendanceReviewEntity {
	int total = 0;
	List<AttendanceReviewRows> rows = [];

	AttendanceReviewEntity();

	factory AttendanceReviewEntity.fromJson(Map<String, dynamic> json) => $AttendanceReviewEntityFromJson(json);

	Map<String, dynamic> toJson() => $AttendanceReviewEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class AttendanceReviewRows {
	@JSONField(name: "record_id")
	String? recordId;
	@JSONField(name: "order_id")
	String? orderId;
	@JSONField(name: "applied_id")
	String? appliedId;
	@JSONField(name: "staff_name")
	String? staffName;
	@JSONField(name: "job_title")
	String? jobTitle;
	@JSONField(name: "department_name")
	String? departmentName;
	@JSONField(name: "job_time")
	String? jobTime;
	@JSONField(name: "status_show")
	String? statusShow;
	@JSONField(name: "adjust_show")
	String? adjustShow;
	@JSONField(name: "total_show")
	String? totalShow;
	@JSONField(name: "clock_in")
	String? clockIn;
	@JSONField(name: "in_class")
	int? inClass;
	@JSONField(name: "clock_out")
	String? clockOut;
	@JSONField(name: "out_class")
	int? outClass;
	@JSONField(name: "created_at")
	String? createdAt;
	@JSONField(name: "has_reason")
	int? hasReason;

	bool isSelected = false;

	AttendanceReviewRows();

	factory AttendanceReviewRows.fromJson(Map<String, dynamic> json) => $AttendanceReviewRowsFromJson(json);

	Map<String, dynamic> toJson() => $AttendanceReviewRowsToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}